"""Database file and connection details."""
# flake8: noqa
from sqlalchemy.ext.declarative import declarative_base

Base = declarative_base()


from vigorish.models import (
    Assoc_Player_Team,
    BatStats,
    BatStatsCsvRow,
    DateScrapeStatus,
    DateScrapeStatusCsvRow,
    GameScrapeStatus,
    GameScrapeStatusCsvRow,
    PitchAppScrapeStatus,
    PitchAppScrapeStatusCsvRow,
    PitchFx,
    PitchFxCsvRow,
    PitchStats,
    PitchStatsCsvRow,
    Player,
    PlayerId,
    ScrapeError,
    ScrapeJob,
    Season,
    Team,
    TimeBetweenPitches,
)
from vigorish.models.views import (
    Date_PitchApp_View,
    Game_PitchApp_View,
    Pitch_Type_All_View,
    Pitch_Type_Averages_All_View,
    Pitch_Type_Averages_Left_View,
    Pitch_Type_Averages_Right_View,
    Pitch_Type_By_Year_View,
    Pitch_Type_Left_View,
    Pitch_Type_Right_View,
    PitchApp_PitchType_All_View,
    PitchApp_PitchType_Left_View,
    PitchApp_PitchType_Right_View,
    Player_BatStats_All_View,
    Player_BatStats_By_Opp_Team_View,
    Player_BatStats_By_Opp_Team_Year_View,
    Player_BatStats_By_Team_View,
    Player_BatStats_By_Team_Year_View,
    Player_BatStats_By_Year_View,
    Player_PitchStats_All_View,
    Player_PitchStats_By_Opp_Team_View,
    Player_PitchStats_By_Opp_Team_Year_View,
    Player_PitchStats_By_Team_View,
    Player_PitchStats_By_Team_Year_View,
    Player_PitchStats_By_Year_View,
    Player_PitchStats_RP_View,
    Player_PitchStats_SP_View,
    Season_Date_View,
    Season_Game_PitchApp_View,
    Season_Game_View,
    Season_PitchApp_View,
)
